function ydot = DisEcons_LHS_Iy(t,y,LHSmatrix,x,runs)
%%%%%%%%%%%%%%%%%%% PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%
Params_Iy;
%
beta0 = LHSmatrix(x,1);
beta1 = LHSmatrix(x,2);
gamma0 = LHSmatrix(x,3);
gamma1 = LHSmatrix(x,4);
rc = LHSmatrix(x,5);
delta = LHSmatrix(x,6);
alpha = LHSmatrix(x,7);
n = LHSmatrix(x,8);   
%%%%%%%%%%%%%%%%%% Redefine variables %%%%%%%%%%%%%%%%%%%
i = y(1);
z = y(2);
%%%%%%%%%%%%%%%% Right-hand-sides of ode %%%%%%%%%%%%%%%%
didt = (beta0.*beta1./(z/(10^4*3.0035)+beta1))*(1-i)*i-(gamma0.*gamma1.*(z/(10^4*3.0035)+1)./(z/(10^4*3.0035)+gamma1))*i;
dzdt = (10^4*3.0035*alpha)*(rc*(1-i)^n*(z/(10^4*3.0035))^(2 - 1/alpha)-delta*z/(10^4*3.0035));
ydot = [didt;dzdt];