function ydot = DisEcons_LHS_Ih(t,y,LHSmatrix,x,runs)
%%%%%%%%%%%%%%%%%%% PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%
Params_Ih;
%
 beta0 = LHSmatrix(x,1);
 beta1 = LHSmatrix(x,2);
gamma0 = LHSmatrix(x,3);
gamma1 = LHSmatrix(x,4);
    rc = LHSmatrix(x,5);
 delta = LHSmatrix(x,6);
 alpha = LHSmatrix(x,7);
     n = LHSmatrix(x,8);   
%%%%%%%%%%%%%%%%%% Redefine variables %%%%%%%%%%%%%%%%%%%
i = y(1);
h = y(2);
%%%%%%%%%%%%%%%% Right-hand-sides of ode %%%%%%%%%%%%%%%%
 didt = (beta0.*beta1./(h^(alpha)+beta1))*(1-i)*i-(gamma0.*gamma1.*(h^(alpha)+1)./(h^(alpha)+gamma1))*i;
 dhdt = rc*(1-i)^n*h^(alpha)-delta*h;
ydot = [didt;dhdt];