%%%%%%%%%%%%%%%%%% BASELINE PARAMETER VALUES %%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
beta0 = 18.6146;%13.6146;
beta1 = 34.8479;
gamma0 = 9.6511;
gamma1 = 43.3602;
rc = 0.3748;
delta = 0.2757;
alpha = 0.55;%0.9;
n = 4;%1.3052;
A = 3.0035;
set(0,'defaulttextinterpreter','Latex');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%% Parameter Labels %%%%%%%%%%%%%%%%%%%%
PRCC_var = {'$\beta_0$', '$\beta_1$', '$\gamma_0$', '$\gamma_1$', '$r_c$', ...
    '$\delta$' '$\alpha$', '$n$'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%% TIME SPAN OF THE SIMULATION %%%%%%%%%%%%%
t_end = 100; % length of the simulations
tspan = 0:0.1:t_end;   % time points where the output is calculated
time_point=100;% time point of interest for the US analysis
%time_points=0:1:t_end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%% INITIAL CONDITIONS FOR THE ODE MODEL %%%%%%%%%
 i0 = 0.01;
 %h0 = A*10^4*(rc/delta)^(1/(1 - alpha));
 h0 = (rc/delta)^(1/(1 - alpha));
%h0 = 10;
%i0 = 0.4;%0.27;
%h0 = 500;
%I0 = 0.4;
%h0 = A*10^4*(rc/delta)^(1/(1 - alpha))/200;
y0=[i0, h0];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%% Variables' Labels %%%%%%%%%%%%%%%%%%%%%
y_var_label = {'Disease prevalence, $I$', 'Per capita income, $y$'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%