
clear all;
close all;
clc
%
 set(0,'DefaultAxesFontName', 'Times New Roman','defaultaxesfontsize',20,'defaulttextinterpreter','latex');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% initialize parameter space (a guess is fine)    
p(1) = 0.8;
p(2) = 0.3; 
p(3) = 0.9;
param(1) = 0.8;
param(2) = 0.3; 
param(3) = 0.9;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Use the "fminsearch" function to carry out minimization
%
[Parameter_min, SS_min] = fminsearch(@SumOfSquaresOfErrorsR,p);
[Parameter_min2, SS_min2] = fminsearch(@SumOfSquaresOfErrorsR2,param);
%
display('Data 1')
fprintf('m_{bs} = %d\n', Parameter_min(1))
fprintf('m_{sb} = %d\n', Parameter_min(2))
fprintf('tau = %d\n', Parameter_min(3))
fprintf('Minimum value of errors SS = %d\n', SS_min)
fprintf('Residence time = %d\n',  Parameter_min(3) + 1/Parameter_min(2))
%
display('Data 2')
fprintf('m_{bs} = %d\n', Parameter_min2(1))
fprintf('m_{sb} = %d\n', Parameter_min2(2))
fprintf('tau = %d\n', Parameter_min2(3))
fprintf('Minimum value of errors SS = %d\n', SS_min2)
fprintf('Residence time = %d\n',  Parameter_min2(3) + 1/Parameter_min2(2))
%%